/*
 * Calodox Demoniac
 * Copyright (C) 2001 Julien Pilet
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _FXDEBUG_H_
#define _FXDEBUG_H_

#include <fx.h>

class FXDebug : public FXGeneric {
private:
	float f, f2;
	int i;
	bool b;
	char s[20];
	float pos[3];
	float rot[4][4];
	DrawBuffer *buff;
	float screenPos[2];
	float rect[4];

public:

	FXDebug();

		virtual FXGeneric *create();

        virtual char *getName() { return "Debug"; }

        virtual void registerOptions();

        virtual int init();

        virtual int render();

        virtual void finish();

};

#endif
