/*
 * Calodox Demoniac
 * Copyright (C) 2001 Julien Pilet
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * FXFire.h: simple fire effect for demoniac
 * leto@calodox.org, 9.2001
 */

#ifndef _FXFIRE_H_
#define _FXFIRE_H_

#include <fx.h>

class FXFire : public FXGeneric {
private:
	float col[4], lastCol[4];
	float col2[4], lastCol2[4];
	DrawBuffer *buff;
	t_color pal[256];
	unsigned int *fireBuff;
	int fireBuffX, fireBuffY;
	int falloff;

public:

	FXFire();

	virtual FXGeneric *create();

	virtual char *getName();

	virtual void registerOptions();

	virtual int init();

	virtual int render();

	virtual void finish();
};

#endif
