/*
 * Calodox Demoniac
 * Copyright (C) 2001 Julien Pilet
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Boolean option for demoniac
 * leto@calodox.org, 2001
 */

#ifndef _OPTBOOL_H_
#define _OPTBOOL_H_

#include "genericoption.h"

class OptBool : public GenericOption {
private:
        GtkWidget *toggle;

	friend gint cbOptBool(GtkWidget *widget, gpointer data);

public: 
        OptBool(FXInstance *fxi, char *name, int flags, bool *value);
        bool *bvalue;
        virtual void draw(GtkBox *box);
        virtual void update();
	virtual void updateGui();
	virtual void computeValue(int time);
	virtual void save(Saver *s);
	virtual void load(Loader *l);
};


#endif 
