/*
 * Calodox Demoniac
 * Copyright (C) 2001 Julien Pilet
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Main.cpp: where GlDemoNiac starts.
 * Leto/calodox, 12.2000
 */

#include <gldemoniac.h>
#include "fxclear.h"
#include "fxtest.h"
#include "fxdebug.h"
#include "fxfire.h"
#include "fxdisplay.h"
#include "fxparam.h"

int main(int argc, char **argv) {
	
	GLDemoniac glmain;

	glmain.registerFX( new FXClear(), sizeof(FXClear) );
	glmain.registerFX( new FXTest(), sizeof(FXTest) );
	glmain.registerFX( new FXDebug(), sizeof(FXDebug) );
	glmain.registerFX( new FXParam(), 0);
	glmain.registerFX( new FXFire(), 0);
	glmain.registerFX( new FXDisplay(), 0);
	glmain.start(&argc, &argv);
	return 0;
}
