/*
 * Calodox Demoniac
 * Copyright (C) 2001 Julien Pilet
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *  
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

/*
 * Dialog class for demoniac
 * leto@calodox.org 9.2001
 */
#include <gtk/gtk.h>
#include "dlg.h"

Dlg::~Dlg() {
	if (window) {
		hide();
		//gtk_widget_unref(GTK_WIDGET(window));
		window = 0;
	}
}

void Dlg::show() {
	if (window) {
		if (!visible) {
			gtk_widget_show(GTK_WIDGET(window));
			visible = true;
		} else {
			gdk_window_raise(GTK_WIDGET(window)->window);
		}
	}
}

void Dlg::hide() {
	if (visible && window) {
		gtk_widget_hide(GTK_WIDGET(window));
		visible = false;
	}
}

void Dlg::switchVisibility() {

	if (visible)
		hide();
	else
		show();
}

bool Dlg::setName(const char *name) {
	return false;
}
	
gint Dlg::cbDeleteWindow(GtkWidget *window, GdkEvent *event, Dlg *obj) {

	obj->hide();
	return TRUE;
}
